<div class="wrsScreen">
    <p>
        <form action="" method="post">
            <?php echo $this->categorySelect(); ?>
            <input name="wrsTask" value="productList" type="hidden" />
            <input name="wrsTaskCat" value="product_tasks" type="hidden">
        </form>
    </p>
    <h2><?php echo $this->categoryHeader ?></h2>
    <?php if(count($this->products) == 0){ ?>
    <p><?php printf($this->hints['sold_out'], strip_tags($this->categoryHeader)); ?></p>
    <?php return;} ?>

    <table id="productsTable" width="100%">
        <colgroup>
            <col> </col>
            <col> </col>
        </colgroup>
        <thead>
            <tr><th></th><th></th><th></th></tr>
        </thead>
        <tbody>
            <?php
            $i = 0;
            foreach($this->products as $index=>$product){
                $previous = $i > 0                          ? $this->indices[$i - 1] : null;
                $next     = $i < count($this->products) - 1 ? $this->indices[$i + 1] : null; ?>
            <tr class="<?php echo $this->oddOrEven($i); ?>">
                <td style="vertical-align: top;">
                    <?php if(isset($previous)){?>

                    <form action="" method="post" style="display: inline;">
                        <input type="hidden" name="wrsProductID" value="<?php echo $index; ?>" />
                        <input type="hidden" name="wrsProductSwapID" value="<?php echo $previous; ?>" />
                        <input type="hidden" name="wrsTask" value="productList" />
                        <input name="wrsTaskCat" value="product_tasks" type="hidden" />
                        <input name="wrsCategory" value="<?php echo $this->category; ?>" type="hidden" />
                        <input type="image" style="padding: 0px;" alt="move up button"  title="swap sort index with previous product" src="<?php echo WRS_CSS_PATH ; ?>uparrow.gif" />

                    </form>
                    <?php }
                else{ ?>
                    <img src="<?php echo WRS_CSS_PATH ; ?>arrowspacer.gif" />
                    <?php  }
                ?>

                <?php if(isset($next)){?>
                    <form action="" method="post" style="display: inline;">
                        <input type="hidden" name="wrsProductID" value="<?php echo $index; ?>" />
                        <input type="hidden" name="wrsProductSwapID" value="<?php echo $next; ?>" />
                        <input type="hidden" name="wrsTask" value="productList" />
                        <input name="wrsTaskCat" value="product_tasks" type="hidden" />
                        <input name="wrsCategory" value="<?php echo $this->category; ?>" type="hidden" />
                        <input type="image" style="padding: 0px;" alt="move down button"  title="swap sort index with next product" src="<?php echo WRS_CSS_PATH ; ?>downarrow.gif" />

                    </form>
                    <?php } ?>
                </td>
                <td sytle="vertical-align: top;">
                    <b><?php echo strip_tags($product['name']) ; ?></b>
                    <p style="margin-top: 0em; padding-left: 1em;">
                        <?php echo $this->labels['price'];?> <?php echo $this->formatCurrency($product['price']); ?>
                        <?php $this->br(); ?>
                        <?php

                        if(isset($product['variants'])){ ?>
                            <?php $this->label('product_variants'); ?>:
                            <?php  echo implode(' &middot; ', $product['variants']); ?>

                       <?php  } ?>

                    </p>
                    <p>
                        <?php
                        if(isset($this->errors[$index])){
                            echo $this->productErrors($this->errors[$index]);
                        }
                        ?>

                        <?php
                        if(isset($this->caveats[$index])){
                            echo $this->productHints($this->caveats[$index]);
                        }
                        ?>
                    </p>
                </td>
                <td style="vertical-align: top; background-color: #ccc;">
                    <form action="" method="post" style="display: inline;">
                        <input type="hidden" name="wrsProductID" value="<?php echo $index; ?>" />
                        <input type="hidden" name="wrsTask" value="editProduct" />
                        <input name="wrsTaskCat" value="product_tasks" type="hidden" />
                        <input type="image" style="padding: 0px;" alt="edit button"  title="edit product" src="<?php echo WRS_CSS_PATH ; ?>edit.gif" />
                    </form>
                    <form action="" method="post" style="display: inline;" onsubmit="return wrsAssureDelete('<?php echo addslashes(strip_tags($product['name'])); ?>');">
                        <input type="hidden" name="wrsProductID" value="<?php echo $index; ?>" />
                        <input type="hidden" name="wrsTask" value="deleteProduct" />
                        <input name="wrsTaskCat" value="product_tasks" type="hidden" />
                        <input type="image" style="padding: 0px;" alt="trash button"  title="delete product" src="<?php echo WRS_CSS_PATH ; ?>trash.gif" />
                    </form>
                </td>
            </tr>
            <?php
            $i++;
        } ?>
        </tbody>
    </table>
</div>