<h5><?php $this->label('checkout_overview'); ?></h5>
<div id="steps">
    <span class="now">1. <?php $this->label('checkout_step1'); ?></span>
    <span>2. <?php $this->label('checkout_step2'); ?></span>
    <span>3. <?php $this->label('checkout_step3'); ?></span>
</div>
<p><?php $this->hint('edit_cart'); ?></p>
<?php $this->br(); ?>
<table rules="rows" style="width: 100%; border: 0px #bbb solid;" border="0">
    <caption style="text-align: left;"><h5><?php $this->labels['cart']; ?></h5></caption>
    <?php foreach($this->cartItems as $product){ ?>
    <tr style="border-width: 0; border-color: #bbb; height: 6ex !important; vertical-align: top;" >
        <td rowspan="2" style="width: 50px !important; overflow: hidden; padding: 1em 1em 1em 0;">
            <?php if(isset($product['previewPicture'])){ ?>
            <a href="<?php echo $product['productPage']; ?>"><img src="<?php echo $product['previewPicture']; ?>" /></a>
            <?php } ?>
        </td>
        <td><h4 style="display: inline; margin: 0; padding: 0;"><?php echo $product['name'] . $product['variantName']; ?></h4></td>
        <td class="moneyCell">
            <form action="" method="post"  style="display: inline; margin: 0; padding: 0;">
                <input type="text" size="2"  style="text-align: right;" name="wrsAmount" value="<?php echo $product['amount']; ?>" onChange="this.parentNode.submit()" />
                *&nbsp;<?php echo $this->formatCurrency($product['price']) ;?>
                <input type="hidden"  name="wrsTask" value="updateCart" />
                <input type="hidden"  name="wrsCheckout" value="cart" />
                <input type="hidden"  name="wrsVariant" value="<?php echo $product['variantKey']; ?>" />
                <input type="hidden"  name="cartItem" value="<?php echo $product['key'];?>" /><br />
                <input type="submit" value="<?php $this->label('update'); ?>" class="linkButton" />
            </form>&middot;
            <form action="" method="post"  style="display: inline; margin: 0; padding: 0;">
                <input type="hidden"  name="wrsAmount" value="0" />
                <input type="hidden"  name="wrsTask" value="updateCart" />
                <input type="hidden"  name="wrsCheckout" value="cart" />
                <input type="hidden"  name="wrsVariant" value="<?php echo $product['variantKey']; ?>" />
                <input type="hidden"  name="cartItem" value="<?php echo $product['key'];?>" />
                <input type="submit" value="<?php $this->label('delete'); ?>" class="linkButton" />
            </form>
        </td>

        <td class="moneyCell" style="padding-left: 1em;">
            <b><?php echo $this->formatCurrency($product['sum']) ;?></b>
        </td>
    </tr>
    <tr style="border-bottom-width: 1px; vertical-align: top;">
        <td colspan="2"><?php echo $product['description']; ?>
        </td>
        <td></td>
    </tr>

        <?php } ?>
    <tr>
        <td colspan="3" style="text-align: right;"><?php echo $this->label('subtotal') ?></td>
        <td class="moneyCell"><?php echo $this->formatCurrency($this->cartSum); ?></td>
    </tr>
    <tr>
        <td colspan="3" style="text-align: right;">
            <?php echo $this->label('forwarding_expenses') ?>
            (<?php  echo $this->units . ' '. $this->unitName ; ?>)
        </td>
        <td class="moneyCell"><?php echo $this->formatCurrency($this->shipping); ?></td>
    </tr>
    <tr>

        <td colspan="3" style="text-align: right;"><b><?php $this->label('total') ?></b></td>
        <td class="moneyCell"><b><?php echo $this->formatCurrency($this->total); ?></b></td>
    </tr>
</table>
<table class="cart_table">
    <tr>
        <td style="vertical-align: bottom; ">
            <form action="" method = "post">
                <div>
                
                <input type="submit" class="shopButton" value="<?php $this->label('continue_shopping');?>" />
                
                </div>
            </form>
        </td>
        <td style="vertical-align: bottom; padding-left: 3em; ">
            <form action="" method = "post">
                <input name="shipping" value="<?php echo $this->shipping ?>" type="hidden" />

 <?php if(   $this->shipping > 0
          && $this->shipping_limit == 'true'
          && $this->canOrder !== false) { ?>
                <p><b><?php $this->label('hint'); ?>: </b>
                    <?php $this->hint('no_shipping_from') ;
                    echo ' ' . $this->formatCurrency($this->no_shipping_from);

                    ?>.
                </p>
                <?php } ?>
            <?php if($this->canOrder === false) { ?>
                <p>
                    <?php $this->hint('order_minimum_warn_1') ; ?>
                    <?php echo $this->formatCurrency($this->minimum_order); ?>
                    <?php $this->hint('order_minimum_warn_2') ; ?>
                </p>
                <?php $this->br(); $this->br(); ?>
                <?php }
            else {?>
                <input type="hidden" name="wrsCheckout" value="customersData" />
                <div style="text-align: right;"><br />
                <input type="submit" class="shopButton" value="<?php $this->label('order_now');?>" /></div>
                <?php } ?>
            </form>
        </td>
    </tr>
</table>
