<h5><?php $this->label('checkout_overview'); ?></h5>
<div id="steps">
    <span>1. <?php $this->label('checkout_step1'); ?></span>
    <span class="now">2. <?php $this->label('checkout_step2'); ?></span>
    <span>3. <?php $this->label('checkout_step3'); ?></span>
</div>
<p><?php $this->label('ask_for_contact_data'); ?></p>
<p><b><?php $this->label('ask_for_destination');?></b></p>
<form action="" method="post" style="display: inline;">

    <p><?php echo $this->contactInput('first_name'); ?></p>
    <p><?php echo $this->contactInput('last_name'); ?></p>
    <p><?php echo $this->contactInput('street'); ?></p>
    <p><?php echo $this->contactInput('email'); ?></p>
    <p><?php echo$this->contactInput('phone'); ?></p>
    <p><?php echo $this->contactInput('zip_code')  . $this->contactInput('city'); ?></p>

    <p>
        <?php
        echo $this->countriesSelectbox(WRS_LANGUAGE);
        ?>
    </p>

    <!-- start payment modes -->

    <p><b><?php echo $this->paymentHint(); ?></b></p>
    <p>
        <?php foreach($this->payments as $module){
            if(!$module->isActive()){continue;}
            $checked = $_SESSION['wrsCustomer']->payment_mode == $module->getName() ?  ' checked="checked"' : '';
            $fee = '';
            if((float)$module->getFee() !== 0.00){
                $fee = ' (' . $this->formatCurrency((float)$module->getFee()) . ' ';
                $fee .= (float)$module->getFee() < 0 ? '<b>' . $this->labels['reduction'] . '</b>' : $this->labels['fee'];
                $fee .= ')';
            }
            ?>

        <label>
            <input type="radio"
                   name="payment_mode"
                   value="<?php echo $module->getName() ?>"<?php echo $checked . $this->endTag; ?>
                   <?php echo $module->getLabel() .  $fee ?>
               </label>
        <?php $this->br(); ?>

        <?php } ?>
    </p>
    <!-- end payment modes -->

<!--Start C.O.S-confirmation -->
<?php
if(in_array('cos_confirmed', $this->missingData)){
    $cosLabel = '<span class="wrsRequired">' . $this->labels['confirm_cos'] . '</span>';
}else{
    $cosLabel = $this->labels['confirm_cos'];}
?>

    <p><b><?php echo $cosLabel; ?></b></p>
    <p><input type="checkbox" name="cos_confirmed" <?php if($_SESSION['wrsCustomer']->cos_confirmed =='on') {echo 'checked="checked"';} ?> />

        <?php echo $this->cosHint();?>
    </p>
    <!-- End C.O.S. -->

    <!-- Start annotation -->
    <p><b><?php $this->label('ask_for_annotation'); ?></b><br />
        <?php $this->hint('ask_for_annotation'); ?>
        <textarea name="annotation" cols="50" rows="6"><?php echo $_SESSION['wrsCustomer']->annotation; ?></textarea>
    </p>
    <!-- End annotation -->
    
    <span style="text-align: right; float: right; width: 49%;">
        <input type="hidden" name="wrsCheckout" value="checkCustomersData" />
        <input type="submit" value="<?php $this->label('next'); ?>" class="shopButton" />
    </span>
</form>

<!-- "go back"-button  -->
<span style="float: left; width: 49%; ">	
    <form action="" method="post" style="display: inline;">
        <input type="hidden" name="wrsCheckout" value="cart" />
        <input type="submit" value="<?php $this->label('previous'); ?>" class="shopButton" />
    </form>
</span>