<?php
/* 
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of wrs_backend_view
 *
 * @author Moritz
 */
class WRS_Backend_View extends WRS_View {

     function WRS_Backend_View(){
        parent::WRS_View();
        $this->templatePath = WRS_TEMPLATES_PATH. '/backend/';
    }


    function picSelector($path = 'no path', $imageArray = array(), $selectedPic = '', $element = null){
        
        if(count($imageArray) == 0){return '<p class="wrsWarn">Sorry, no pictures found in '. $path .'!</p>';}
        $js = '';
        if(isset($element)){
            $js = ' onchange="var pic = this.options[this.selectedIndex].value ; wrsChangePic(pic, \''. $path . '\', \''. $element . '\');"';
        }
                          
        $html = "\n" . '<select name="' . $element .'"' . $js . '>';
        $html .= "\n\t" . '<option>' . $this->labels['no_pic'] . '</option>';
        foreach($imageArray as $pic){
            $selected = ($pic == $selectedPic) ? ' selected="selected"' : '';
            $html .= "\n\t" . '<option' . $selected . '>' . $pic . '</option>';
        }
        $html .= "\n" . '</select>';
        return $html;
    }

    function productPageSelector(){
       $html =  '<select name="wrsProductPages[]" multiple size="5" style="min-width: 250px; height: auto;">';
     
       foreach($this->pageLinks as $key => $value){
                $spacer = str_repeat('&emsp;', $this->pageLevels[$key] - 1);
                /**
                 * TODO: get rid of the '?' here
                 */
                $selected = (in_array($value, $this->pages)) ? ' selected="selected" ' : '';
                $html .=  '<option  style="min-width: 250px"' .$selected . 'value="' . $value . '">' . $spacer . $this->pageNames[$key] .'</option>';
       }
       $html .= '</select>';
       return $html;
    }

    function productCategorySelector(){
       if(count($this->categories) === 0){
           return $this->hint('no_categories');
       }
       $html =  '<select name="wrsCategories[]" multiple size="5" style="min-width: 250px; height: auto;">';
       foreach($this->categories as $value){
                $selected = in_array($value, $this->productCats) ? ' selected="selected" ' : '';
                $html .=  '<option  style="min-width: 250px"' .$selected . 'value="' . $value . '">' . $value .'</option>';
       }
       $html .= '</select>';
       return $html;
    }

    function productErrors($errors = array()){
        if(count($errors) === 0){return '';}
        $html = "\n" .  '<ul style="color: maroon">';
        foreach($errors as $error){
            $html .= "\n" . '<li style="margin-left: 1.5em;">' . $this->labels[$error] . '</li>';
        }
        $html .= "\n\t" . '</ul>' . "\n" ;
        return $html;
    }
    function productHints($caveats = array()){

        if(count($caveats) === 0){return '';}
        $html = "\n" .  '<ul>';
        foreach($caveats as $hint){
            $html .= "\n" . '<li style="margin-left: 1.5em;">' . $this->labels[$hint] . '</li>';
        }
        $html .= "\n\t" . '</ul>' . "\n";
        return $html;
    }

}
?>