<div class="settingsForm">
    <form method="post" action="" name="shipping">
        <p><b><?php $this->label('forwarding_expenses') ?></b></p>

        <p>
            <?php echo $this->label('charge_for_shipping') ; ?>
            <?php echo $this->br(); ?>
            <label>
                <?php $params['onclick'] = 'wrsEnableShipping();' ?>
                <?php echo $this->radioNameValueLabel('charge_for_shipping', 'true', null, $params); ?>
                <?php echo $this->label('yes'); ?>
            </label>
            <label>
                <?php $params['onclick'] = 'wrsDisableShipping();' ?>
                <?php echo $this->radioNameValueLabel('charge_for_shipping', 'false', null, $params); ?>
                <?php echo $this->label('no'); ?>
            </label>
        </p>
        <span id="wrsShippingDetails">
            <p>
                <?php echo $this->checkboxNameValueLabel('shipping_up_to', 'true') ;?>
                <?php $this->label('forwarding_expenses_up_to'); ?>

                <?php echo $this->moneyinputNameValueLabel('forwarding_expenses_up_to',
                    (float)$this->shipping_limit,
                    //  123.45,
                    null,
                    $this->disabled); ?>
            </p>
            <p>
                <b><?php echo $this->label($this->shipping_mode) ; ?></b>
                
            </p>
            <table style="width: 100%;">
                <?php
                $previous = $this->formatFloat(0.00);

                if(isset($this->weightRanges)){?>
                    <?php if(count($this->weightRanges) > 0){ ?>
                <tr>
                    <td colspan="2">
                        <?php $this->hint('shipping_graded'); ?>
                        <?php $this->br(); ?>
                        <?php $this->br(); ?>
                    </td>
                </tr>
                <?php } ?>

            <?php foreach($this->weightRanges as $range => $fee){?>

                <tr>
                    <td> >
                        <?php
                        echo $previous . '  ';
                        $this->label('up_to');
                        echo ' ' . $this->floatinputNameValueLabel('weightRange[' . $range . ']',
                            $range,
                            null,
                            $this->disabled)
                        . ' ' . $this->shipping_unit ?>
                    </td>
                    <td>=>
                        <?php echo $this->moneyinputNameValueLabel('weightFee[' . $range . ']', $fee, null, $this->disabled) ;?>
                    </td>
                </tr>
                <?php
                $previous = $this->formatFloat($range) ;
            }
        }
        ?>
                <tr>
                    <td> >
                        <?php echo $previous . ' ' . $this->shipping_unit; ?>
                    </td>
                    <td>=>
                        <?php echo $this->moneyinputNameValueLabel('shipping_max', $this->shipping_max, null, $this->disabled); ?>
                    </td>
                </tr>
            </table>
            <p>
                <b><?php echo $this->label('new_weightRange')?></b>
            </p>


            <table style="width: 100%;">
                <tr>
                    <td>

                        <?php echo $this->label('up_to') . " "
                        . $this->floatinputNameValueLabel('newWeightRange',
                            null,
                            null,
                            $this->disabled). ' ' . $this->shipping_unit ?>
                    </td>
                    <td>=> <?php echo $this->moneyinputNameValueLabel('newWeightFee',
                        null,
                        null,
                        $this->disabled);?></td>
                </tr>

            </table>

            <p>
                <b><?php echo $this->labels['shipping_unit'] ?>:</b>
                <?php echo $this->textinputNameValueLabel(WRS_LANGUAGE.'[shipping_unit]',
                    $this->shipping_unit,
                    null,
                    $this->disabled) ?>
            </p>

        </span>

        <p style="text-align: right;">
            <input type="hidden" name="wrsTask" value="updateSettings" />
            <input type="hidden" name="wrsPage" value="shippingSettings" />
            <input name="wrsTaskCat" value="setting_tasks" type="hidden">
            <input type="submit" value="<?php $this->label('save_settings'); ?>" />
        </p>
    </form>
</div>